Bug 1314481 - node OK state
node OK state
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: gowtham
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 12:15 EST by Lubos Trilety
Modified: 2016-08-03 10:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2016-03-03 12:15:16 EST
Description of problem:
When the node initialization is started but never finishes the node has status OK, but it should be in initialization state.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.4-0.2.alpha1.el7.noarch
rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64

How reproducible:
80%

Steps to Reproduce:
1. Accept some node
2. Wait till the initialization tasks is started and stop the task (e.g. restart skyringd)

Actual results:
Node has OK state

Expected results:
Node should have initialization state until the node initialization is finished, or fail state as the initialization was interrupted.

Additional info:
Comment 2 Nishanth Thomas 2016-03-03 22:30:33 EST
Can you let me know the the values for status and state in the database?
Valid combinations are as follows:

state             status

active            ok/error/warn

unaccepted/
initializing/     unknown
unmanaged/
Failed

Can you please let me know these values when you encounter the issue?
Comment 3 Lubos Trilety 2016-03-04 03:39:50 EST
(In reply to Nishanth Thomas from comment #2)
> Can you let me know the the values for status and state in the database?
> Valid combinations are as follows:
> 
> state             status
> 
> active            ok/error/warn
> 
> unaccepted/
> initializing/     unknown
> unmanaged/
> Failed
> 
> Can you please let me know these values when you encounter the issue?

> db.tasks.find({"name" : "Initialize Node: <hostname>"})
{ ... "completed" : false, ... , "status" : 0 }

> db.storage_nodes.find({"hostname": "<hostname>"})
{ ... "status" : 0, "state" : 2, "almstatus" : 0, "almcount" : 0, ... }
Comment 10 gowtham 2016-05-13 05:07:54 EDT
All the changes which is discussed in this bug are fixed successfully.
https://review.gerrithub.io/#/c/266229/
Comment 11 Lubos Trilety 2016-08-03 10:30:00 EDT
Tested on:
rhscon-core-0.0.39-1.el7scon.x86_64
rhscon-core-selinux-0.0.39-1.el7scon.noarch
rhscon-ceph-0.0.39-1.el7scon.x86_64
rhscon-ui-0.0.51-1.el7scon.noarch

Note You need to log in before you can comment on or make changes to this bug.